HappyDoc Generated Documentation | Gnuplot/PlotItems.py
--- | ---

/ Gnuplot / PlotItems.py

Functions |
--- | ---

| GridData
--- | ---

    GridData (
            data,
            xvals=None,
            yvals=None,
            inline=None,
            filename=None,
            **keyw,
            )

Exceptions |
--- | ---

Errors.DataError( 'The size of yvals must be the same as the size of ' 'the second dimension of the data array' )
Errors.OptionError( 'binary inline data not supported' )
Errors.DataError( 'The size of xvals must be the same as the size of ' 'the first dimension of the data array' )
Errors.OptionError( 'cannot pass data both inline and via a file' )
Errors.DataError( 'data array must be two-dimensional' )

| Data
--- | ---

    Data ( *data,  *keyw )

Exceptions |
--- | ---
Errors.OptionError( 'cannot pass data both inline and via a file' )

| File
--- | ---

    File ( filename,  **keyw )

Exceptions |
--- | ---
Errors.OptionError('Argument (%s) must be a filename' %( filename, ) )

Classes |
--- | ---

PlotItem |
_NewFileItem |
_FileItem |
_unset |
_InlineFileItem |
Func |

This document was automatically generated Fri May 2 16:59:06 2008 by HappyDoc version 3.1